# Class DatabricksConnectionContextFactory

java.lang.Object
com.databricks.jdbc.api.impl.DatabricksConnectionContextFactory

public class DatabricksConnectionContextFactory extends Object
Factory class for creating instances of `IDatabricksConnectionContext`.

## Constructor Summary

Constructors
Constructor
Description
`DatabricksConnectionContextFactory()`

## Method Summary

Modifier and Type
Method
Description
`static IDatabricksConnectionContext`
`create(String url, String user, String password)`
Creates an instance of `IDatabricksConnectionContext` from the given URL, user and password
`static IDatabricksConnectionContext`
`create(String url, Properties properties)`
Creates an instance of `IDatabricksConnectionContext` from the given URL and properties.
`static IDatabricksConnectionContext`
`createWithoutError(String url, Properties properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DatabricksConnectionContextFactory

public DatabricksConnectionContextFactory()

## Method Details

### create

public static IDatabricksConnectionContext create(String url, Properties properties) throws DatabricksSQLException
Creates an instance of `IDatabricksConnectionContext` from the given URL and properties.

Parameters:
  `url` - JDBC URL
  `properties` - JDBC connection properties
Returns:
  an instance of `IDatabricksConnectionContext`
Throws:
  `DatabricksSQLException` - if the URL or properties are invalid

### create

public static IDatabricksConnectionContext create(String url, String user, String password) throws DatabricksSQLException
Creates an instance of `IDatabricksConnectionContext` from the given URL, user and password

Parameters:
  `url` - JDBC URL
  `user` - JDBC connection properties
  `password` - JDBC connection properties
Returns:
  an instance of `IDatabricksConnectionContext`
Throws:
  `DatabricksSQLException` - if the URL or properties are invalid

### createWithoutError

public static IDatabricksConnectionContext createWithoutError(String url, Properties properties)